# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "drizzle-postgres"
version = "0.1.3"
authors = ["Mixed Nuts"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A type-safe SQL query builder for Rust"
readme = false
keywords = [
    "drizzle",
    "rizzle",
    "orm",
    "database",
    "sqlite",
]
license = "MIT"
repository = "https://github.com/themixednuts/drizzle-rs"

[features]
bitvec = ["dep:bitvec"]
chrono = ["dep:chrono"]
geo-types = ["dep:geo-types"]
ipnet = ["dep:ipnet"]
rust_decimal = ["dep:rust_decimal"]
serde = [
    "dep:serde_json",
    "dep:serde",
]
uuid = ["dep:uuid"]

[lib]
name = "drizzle_postgres"
path = "src/lib.rs"

[dependencies.bitvec]
version = "1.0"
features = ["serde"]
optional = true

[dependencies.chrono]
version = "0.4"
features = ["serde"]
optional = true

[dependencies.drizzle-core]
version = "0.1"

[dependencies.geo-types]
version = "0.7"
features = ["serde"]
optional = true

[dependencies.ipnet]
version = "2.10"
features = ["serde"]
optional = true

[dependencies.paste]
version = "1.0"

[dependencies.rust_decimal]
version = "1.36"
features = ["serde"]
optional = true

[dependencies.serde]
version = "1.0"
features = [
    "derive",
    "alloc",
]
optional = true
default-features = false

[dependencies.serde_json]
version = "1.0"
optional = true
default-features = false

[dependencies.uuid]
version = "1.18"
features = ["v4"]
optional = true
